/*
*  Copyright (c) 2015, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
*
*  WSO2 Inc. licenses this file to you under the Apache License,
*  Version 2.0 (the "License"); you may not use this file except
*  in compliance with the License.
*  You may obtain a copy of the License at
*
*    http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing,
* software distributed under the License is distributed on an
* "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
* KIND, either express or implied.  See the License for the
* specific language governing permissions and limitations
* under the License.
*/
package org.wso2.carbon.databridge.agent.exception;

/**
 * Exception to be thrown for DataEndpointAgentConfiguration which was specified in the data-agent-config.xml
 */

public class DataEndpointAgentConfigurationException extends Exception {
    private String errorMessage;

    public DataEndpointAgentConfigurationException(String message) {
        super(message);
        errorMessage = message;
    }

    public DataEndpointAgentConfigurationException(String message, Throwable cause) {
        super(message, cause);
        errorMessage = message;
    }

    public DataEndpointAgentConfigurationException(Throwable cause) {
        super(cause);
    }

    public String getErrorMessage() {
        return errorMessage;
    }
}
